Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.coverage
Class SampleDimensionType

    java.lang.Object
      org.deegree.model.coverage.CodeList
          org.deegree.model.coverage.SampleDimensionType

All Implemented Interfaces:
  Serializable

    public final class SampleDimensionType

extends CodeList

Specifies the various dimension types for coverage values. For grid coverages, these correspond to band types.

Version:
  Grid Coverage specification 1.0
Author:
  OpenGIS® consortium
See Also:
  `SampleDimension`, Serialized Form

Field Summary
`static SampleDimensionType` | `REAL_32BITS` Simple precision floating point numbers.
`static SampleDimensionType` | `REAL_64BITS` Double precision floating point numbers.
`static SampleDimensionType` | `SIGNED_16BITS` Signed 16 bits integers.
`static SampleDimensionType` | `SIGNED_32BITS` Signed 32 bits integers.
`static SampleDimensionType` | `SIGNED_8BITS` Signed 8 bits integers.
`static SampleDimensionType` | `UNSIGNED_16BITS` Unsigned 16 bits integers.
`static SampleDimensionType` | `UNSIGNED_1BIT` Unsigned 1 bit integers.
`static SampleDimensionType` | `UNSIGNED_2BITS` Unsigned 2 bits integers.
`static SampleDimensionType` | `UNSIGNED_32BITS` Unsigned 32 bits integers.
`static SampleDimensionType` | `UNSIGNED_4BITS` Unsigned 4 bits integers.
`static SampleDimensionType` | `UNSIGNED_8BITS` Unsigned 8 bits integers.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static SampleDimensionType[]` | `values()` Returns the list of `SampleDimensionType`s.

Methods inherited from class org.deegree.model.coverage.CodeList
`name, ordinal, readResolve, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNSIGNED_1BIT

    public static final SampleDimensionType UNSIGNED_1BIT

  Unsigned 1 bit integers.

  rename
    Renamed `CV_1BIT` as `UNSIGNED_1BIT` since we drop the prefix, but can't get a name starting with a digit.

### UNSIGNED_2BITS

    public static final SampleDimensionType UNSIGNED_2BITS

  Unsigned 2 bits integers.

  rename
    Renamed `CV_2BIT` as `UNSIGNED_2BITS` since we drop the prefix, but can't get a name starting with a digit.

### UNSIGNED_4BITS

    public static final SampleDimensionType UNSIGNED_4BITS

  Unsigned 4 bits integers.

  rename
    Renamed `CV_4BIT` as `UNSIGNED_4BITS` since we drop the prefix, but can't get a name starting with a digit.

### UNSIGNED_8BITS

    public static final SampleDimensionType UNSIGNED_8BITS

  Unsigned 8 bits integers.

  See Also:
    `SIGNED_8BITS`, `DataBuffer.TYPE_BYTE`
  rename
    Renamed `CV_8BIT_U` as `UNSIGNED_8BITS` since we drop the prefix, but can't get a name starting with a digit.

### SIGNED_8BITS

    public static final SampleDimensionType SIGNED_8BITS

  Signed 8 bits integers.

  See Also:
    `UNSIGNED_8BITS`
  rename
    Renamed `CV_8BIT_S` as `SIGNED_8BITS` since we drop the prefix, but can't get a name starting with a digit.

### UNSIGNED_16BITS

    public static final SampleDimensionType UNSIGNED_16BITS

  Unsigned 16 bits integers.

  See Also:
    `SIGNED_16BITS`, `DataBuffer.TYPE_USHORT`
  rename
    Renamed `CV_16BIT_U` as `UNSIGNED_16BITS` since we drop the prefix, but can't get a name starting with a digit.

### SIGNED_16BITS

    public static final SampleDimensionType SIGNED_16BITS

  Signed 16 bits integers.

  See Also:
    `UNSIGNED_16BITS`, `DataBuffer.TYPE_SHORT`
  rename
    Renamed `CV_16BIT_S` as `SIGNED_16BITS` since we drop the prefix, but can't get a name starting with a digit.

### UNSIGNED_32BITS

    public static final SampleDimensionType UNSIGNED_32BITS

  Unsigned 32 bits integers.

  See Also:
    `SIGNED_32BITS`
  rename
    Renamed `CV_32BIT_U` as `UNSIGNED_32BITS` since we drop the prefix, but can't get a name starting with a digit.

### SIGNED_32BITS

    public static final SampleDimensionType SIGNED_32BITS

  Signed 32 bits integers.

  See Also:
    `UNSIGNED_32BITS`, `DataBuffer.TYPE_INT`
  rename
    Renamed `CV_32BIT_S` as `SIGNED_32BITS` since we drop the prefix, but can't get a name starting with a digit.

### REAL_32BITS

    public static final SampleDimensionType REAL_32BITS

  Simple precision floating point numbers.

  See Also:
    `REAL_64BITS`, `DataBuffer.TYPE_FLOAT`
  rename
    Renamed `CV_32BIT_REAL` as `REAL_32BITS` since we drop the prefix, but can't get a name starting with a digit.

### REAL_64BITS

    public static final SampleDimensionType REAL_64BITS

  Double precision floating point numbers.

  See Also:
    `REAL_32BITS`, `DataBuffer.TYPE_DOUBLE`
  rename
    Renamed `CV_64BIT_REAL` as `REAL_64BITS` since we drop the prefix, but can't get a name starting with a digit.

Method Detail

### values

    public static SampleDimensionType[] values()

  Returns the list of `SampleDimensionType`s.

  Returns:
    the list of `SampleDimensionType`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList`
  Returns:
    the list of enumerations of the same kind than this enum.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org